Description: Patch fixes installing directories and copying files under
    INSTALL_ROOT. Also, it adds bltOldConfig.h to the installable headers
    list and fixes it to include tk.h.
Author: Chris Waters and Sergei Golovan
Author: Steve Langasek <vorlon@debian.org>
Last-Modified: Mon, 31 Aug 2015 12:37:00 -0700

Index: blt-2.5.3+dfsg/Makefile.in
===================================================================
--- blt-2.5.3+dfsg.orig/Makefile.in
+++ blt-2.5.3+dfsg/Makefile.in
@@ -47,9 +47,9 @@
 	(cd library; $(MAKE) install)
 	(cd man; $(MAKE) install)
 	(cd demos; $(MAKE) install)
-	$(INSTALL_DATA) $(srcdir)/README $(INSTALL_DIR)$(scriptdir)
-	$(INSTALL_DATA) $(srcdir)/PROBLEMS $(INSTALL_DIR)$(scriptdir)
-	$(INSTALL_DATA) $(srcdir)/NEWS $(INSTALL_DIR)$(scriptdir)
+	$(INSTALL_DATA) $(srcdir)/README $(INSTALL_ROOT)$(scriptdir)
+	$(INSTALL_DATA) $(srcdir)/PROBLEMS $(INSTALL_ROOT)$(scriptdir)
+	$(INSTALL_DATA) $(srcdir)/NEWS $(INSTALL_ROOT)$(scriptdir)
 
 mkdirs:
 	@for i in $(instdirs) ; do \
@@ -57,7 +57,7 @@
 	    : ; \
 	  else \
             echo " mkdir $(INSTALL_ROOT)$$i" ; \
-            mkdir $(INSTALL_ROOT)$$i ; \
+            mkdir -p $(INSTALL_ROOT)$$i ; \
           fi ; \
         done
 
@@ -66,10 +66,14 @@
 	(cd library; $(MAKE) clean)
 	(cd man; $(MAKE) clean)
 	(cd demos; $(MAKE) clean)
-	$(RM) *.bak *\~ "#"* *pure* .pure*
+	$(RM) *.bak *\~ "#"* .pure*
 
 GENERATED_FILES = \
 	config.status config.cache config.log Makefile 
 
 distclean: clean
+	(cd generic; $(MAKE) distclean)
+	(cd library; $(MAKE) distclean)
+	(cd man; $(MAKE) distclean)
+	(cd demos; $(MAKE) distclean)
 	$(RM) $(GENERATED_FILES)
Index: blt-2.5.3+dfsg/generic/Makefile.in
===================================================================
--- blt-2.5.3+dfsg.orig/generic/Makefile.in
+++ blt-2.5.3+dfsg/generic/Makefile.in
@@ -152,6 +152,7 @@
 		$(srcdir)/bltChain.h \
 		bltHash.h \
 		$(srcdir)/bltList.h \
+		$(srcdir)/bltOldConfig.h \
 		$(srcdir)/bltPool.h \
 		$(srcdir)/bltTree.h \
 		$(srcdir)/bltDecls.h \
@@ -230,7 +231,7 @@
             : ; \
           else \
             echo " mkdir $(INSTALL_ROOT)$$i" ; \
-            mkdir $(INSTALL_ROOT)$$i ; \
+            mkdir -p $(INSTALL_ROOT)$$i ; \
           fi ; \
         done
 
@@ -262,7 +263,8 @@
 
 distclean: clean
 	$(RM) $(srcdir)/*.bak $(srcdir)/*\~ $(srcdir)/"#"*  Makefile
-	$(RM) bltConfig.h Makefile TAGS
+	$(RM) bltConfig.h bltHash.h Makefile TAGS
+	(cd shared; $(MAKE) distclean)
 
 .c.o:
 	$(CC) -c $(CC_SWITCHES) $<
Index: blt-2.5.3+dfsg/generic/shared/Makefile.in
===================================================================
--- blt-2.5.3+dfsg.orig/generic/shared/Makefile.in
+++ blt-2.5.3+dfsg/generic/shared/Makefile.in
@@ -145,14 +145,20 @@
 		$(srcdir)/bltInit.c
 	$(RM) $@
 	$(SHLIB_LD) $(SHLIB_LD_FLAGS) -o $@ bltInit.o $(OBJS) \
-		$(SHLIB_LIB_SPECS)
+		$(LIBS)
+
+# Line above changed for complete dependency listings - gordon
+#		$(SHLIB_LIB_SPECS)
 
 $(tcl_only_lib_so): $(TCL_ONLY_OBJS)
 	$(CC) -c $(CC_SWITCHES) -DTCL_ONLY -DBLT_LIBRARY=\"$(scriptdir)\" \
 		$(srcdir)/bltInit.c
 	$(RM) $@
 	$(SHLIB_LD) $(SHLIB_LD_FLAGS) -o $@ bltInit.o $(TCL_ONLY_OBJS) \
-		$(SHLIB_TCL_ONLY_LIB_SPECS)
+		$(TCL_ONLY_LIB_SPECS)
+
+# Line above changed for complete dependency listings - gordon
+#		$(SHLIB_TCL_ONLY_LIB_SPECS)
 
 install: mkdirs install-lib install-demo
 
@@ -175,10 +181,10 @@
         done
 clean:
 	$(RM) $(OBJS) $(lib_so) $(tcl_only_lib_so) $(bltwish) $(bltsh) \
-		*pure* .pure* 
+		*pure* .pure* bltInit.o
 
 distclean: clean
-	$(RM) $(srcdir)/*.bak $(srcdir)/*\~ $(srcdir)/"#"* 
+	$(RM) $(srcdir)/*.bak $(srcdir)/*\~ $(srcdir)/"#"* Makefile
 
 # ------------------------------------------------------------------------
 # 	in lieu of viewpath-ing...
Index: blt-2.5.3+dfsg/demos/Makefile.in
===================================================================
--- blt-2.5.3+dfsg.orig/demos/Makefile.in
+++ blt-2.5.3+dfsg/demos/Makefile.in
@@ -79,7 +79,7 @@
             : ; \
           else \
             echo " mkdir $(INSTALL_ROOT)$$i" ; \
-            mkdir $(INSTALL_ROOT)"$$i" ; \
+            mkdir -p $(INSTALL_ROOT)"$$i" ; \
           fi ; \
         done
 
Index: blt-2.5.3+dfsg/man/Makefile.in
===================================================================
--- blt-2.5.3+dfsg.orig/man/Makefile.in
+++ blt-2.5.3+dfsg/man/Makefile.in
@@ -52,7 +52,7 @@
             : ; \
           else \
             echo " mkdir $(INSTALL_ROOT)$$i" ; \
-            mkdir $(INSTALL_ROOT)$$i ; \
+            mkdir -p $(INSTALL_ROOT)$$i ; \
           fi ; \
 	done
 
Index: blt-2.5.3+dfsg/library/Makefile.in
===================================================================
--- blt-2.5.3+dfsg.orig/library/Makefile.in
+++ blt-2.5.3+dfsg/library/Makefile.in
@@ -61,7 +61,7 @@
 	for i in $(miscFiles) ; do \
 	    $(INSTALL_DATA) $(srcdir)/$$i $(INSTALL_ROOT)$(scriptdir) ; \
 	done 
-	$(INSTALL_DATA) pkgIndex.tcl $(scriptdir)
+	$(INSTALL_DATA) pkgIndex.tcl $(INSTALL_ROOT)$(scriptdir)
 
 mkdirs:
 	@for i in $(instdirs) ; do \
@@ -69,7 +69,7 @@
             : ; \
           else \
             echo " mkdir $(INSTALL_ROOT)$$i" ; \
-            mkdir $(INSTALL_ROOT)$$i ; \
+            mkdir -p $(INSTALL_ROOT)$$i ; \
           fi ; \
         done
 
Index: blt-2.5.3+dfsg/generic/bltOldConfig.h
===================================================================
--- blt-2.5.3+dfsg.orig/generic/bltOldConfig.h
+++ blt-2.5.3+dfsg/generic/bltOldConfig.h
@@ -1,5 +1,7 @@
 /* Old config headers. */
 
+#include <tk.h>
+
 EXTERN int		Blt_ConfigureInfo _ANSI_ARGS_((Tcl_Interp * interp, 
 				Tk_Window tkwin, Tk_ConfigSpec * specs, 
 				char * widgRec, CONST char * argvName, 
